## com.crystaldecisions.sdk.occa.report.exportoptions
Class ExportPageAreaPairKind

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.exportoptions.ExportPageAreaPairKind

public final class ExportPageAreaPairKind
extends java.lang.Object

This class contains constants used to indicate how the page header and footer pair should be exported. This is used by the `ExcelExportFormatOptions` object.

Note: Only RTF and PDF exporting are supported with Crystal Reports for BEA WebLogic Workshop. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

Field Summary
`static int` | `_forEachPage` Specifies that the page header and footer pair will appear on each page.
`static int` | `_noPageAreaPair` Specifies that no page header and footer pair will be exported.
`static int` | `_oncePerReport` Specifies that the page header and footer pair will only be exported once per report.
`static ExportPageAreaPairKind` | `forEachPage` A `ExportPageAreaPairKind` object that specifies that the page header and footer pair will appear on each page.
`static ExportPageAreaPairKind` | `noPageAreaPair` A `ExportPageAreaPairKind` object that specifies that no page header and footer pair will be exported.
`static ExportPageAreaPairKind` | `oncePerReport` A `ExportPageAreaPairKind` object that specifies that the page header and footer pair will only be exported once per report.

Method Summary
`static ExportPageAreaPairKind` | `from_int(int i)` Returns the `ExportPageAreaPairKind` object corresponding to the specified `int`.
`static ExportPageAreaPairKind` | `from_string(java.lang.String sVal)` Returns the `ExportPageAreaPairKind` object corresponding to the specified `String`.
`java.lang.String` | `toString()` Returns the `String` value of this `ExportPageAreaPairKind` object.
`int` | `value()` Returns the `int` value of this `ExportPageAreaPairKind` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _noPageAreaPair

    public static final int _noPageAreaPair

  Specifies that no page header and footer pair will be exported.

  See Also:
    Constant Field Values

### _oncePerReport

    public static final int _oncePerReport

  Specifies that the page header and footer pair will only be exported once per report. That is, it will only appear on the first page.

  See Also:
    Constant Field Values

### _forEachPage

    public static final int _forEachPage

  Specifies that the page header and footer pair will appear on each page.

  See Also:
    Constant Field Values

### noPageAreaPair

    public static final ExportPageAreaPairKind noPageAreaPair

  A `ExportPageAreaPairKind` object that specifies that no page header and footer pair will be exported.

### oncePerReport

    public static final ExportPageAreaPairKind oncePerReport

  A `ExportPageAreaPairKind` object that specifies that the page header and footer pair will only be exported once per report. That is, it will only appear on the first page.

### forEachPage

    public static final ExportPageAreaPairKind forEachPage

  A `ExportPageAreaPairKind` object that specifies that the page header and footer pair will appear on each page.

Method Detail

### from_int

    public static final ExportPageAreaPairKind from_int(int i)

  Returns the `ExportPageAreaPairKind` object corresponding to the specified `int`.

  Parameters:
    `i` - The `int` value of the desired `ExportPageAreaPairKind`.
  Returns:
    The `ExportPageAreaPairKind` object corresponding to the specified `int`.

### from_string

    public static final ExportPageAreaPairKind from_string(java.lang.String sVal)

  Returns the `ExportPageAreaPairKind` object corresponding to the specified `String`.

  Parameters:
    `sVal` - The `String` value of the desired `ExportPageAreaPairKind`.
  Returns:
    The `ExportPageAreaPairKind` object corresponding to the specified `String`.

### toString

    public java.lang.String toString()

  Returns the `String` value of this `ExportPageAreaPairKind` object.

  Returns:
    The `String` value of this `ExportPageAreaPairKind` object.

### value

    public int value()

  Returns the `int` value of this `ExportPageAreaPairKind` object.

  Returns:
    The `int` value of this `ExportPageAreaPairKind` object.